version: "3.8"

services:
  mds:
    ports:
      - "5002:5002"
      - "5680:5680"
    volumes:
      - ./:/opt/app/
    environment:
      - FLASK_DEBUG=1
      - MDS_BASE_URL=${MDS_BASE_URL}
      - MDS_TOKEN=${MDS_TOKEN}
      - S3_ACCESS_KEY_ID=${S3_ACCESS_KEY_ID}
      - S3_ENDPOINT=${S3_ENDPOINT}
      - S3_LANDING_ZONE_BUCKET=${S3_LANDING_ZONE_BUCKET}
      - S3_REGION_NAME=${S3_REGION_NAME}
      - S3_SECRET_ACCESS_KEY=${S3_SECRET_ACCESS_KEY}
    command: /opt/app/entrypoint.sh flask run --host 0.0.0.0 --port 5002

